# mainReceiver.cpp File Reference

`#include "slsReceiverUsers.h"`
`#include <iostream>`

Go to the source code of this file.

## Functions

int | main (int argc, char *argv[])

## Detailed Description

This file is an example of how to implement the slsDetectorUsers class You can compile it linking it to the slsDetector library

gcc mainReceiver.cpp -L lib -l SlsDetector -lm -lpthread

where lib is the location of libSlsDetector.so

Definition in file mainReceiver.cpp.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 25 of file mainReceiver.cpp.

References slsReceiverUsers::start(), and slsReceiverUsers::stop().